Skip to content

Delete Directory File

Beta.Directories.Files.Delete(FileDeleteParamsparameters, CancellationTokencancellationToken = default)
DELETE/api/v1/beta/directories/{directory_id}/files/{directory_file_id}

Delete a directory file by directory_file_id; to resolve from unique_id, list with a filter first.

ParametersExpand Collapse
FileDeleteParams parameters
required string directoryID

Path param

required string directoryFileID

Path param

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid

Delete Directory File

FileDeleteParams parameters = new()
{
    DirectoryID = "directory_id",
    DirectoryFileID = "directory_file_id",
};

await client.Beta.Directories.Files.Delete(parameters);
Returns Examples
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/